Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 05 Mar 2021 01:36:14 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello
I contacted the support team regarding my request of returning a high hills shoes I ordered and then I returned it back due to unfitt issue and the courier came and collected the item but no one ever since have refunded me and I'm still asking for that, it seems a rediculious to ask more and more and a big company like Land mark never worked correctly to solve the problem. Just to let you know that I have been waiting for three months and then I asked about this and this still unsolved with no care of customer service. The following step will be taking from me is a claim to the ministry of trading to have a look in this problem because it's not the first time happened and I assume it won't be the last. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2191833